package com.mortals.xhx.module.pubdatum.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.pubdatum.model.vo.PubdatumVo;
/**
 * 事项材料公共库实体对象
 *
 * @author zxfei
 * @date 2022-11-17
 */

public class PubdatumEntity extends PubdatumVo {
    private static final long serialVersionUID = 1L;

    /**
     * 事项matter id
     */
    private Long matterId;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门编号
     */
    private String deptCode;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 材料名
     */
    private String materialName;
    /**
     * 材料全名
     */
    private String materiaFullName;
    /**
     * 填单次数
     */
    private Integer total;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 样表名称
     */
    private String sampleName;
    /**
     * 样表地址
     */
    private String samplePath;
    /**
     * 样表预览地址
     */
    private String preViewPath;



    public PubdatumEntity(){}
    /**
     * 获取 事项matter id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项matter id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 部门ID
     * @return Long
     */
    public Long getDeptId(){
        return deptId;
    }
    /**
     * 设置 部门ID
     * @param deptId
     */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
     * 获取 部门编号
     * @return String
     */
    public String getDeptCode(){
        return deptCode;
    }
    /**
     * 设置 部门编号
     * @param deptCode
     */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
     * 获取 部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
     * 获取 材料名
     * @return String
     */
    public String getMaterialName(){
        return materialName;
    }
    /**
     * 设置 材料名
     * @param materialName
     */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
     * 获取 材料全名
     * @return String
     */
    public String getMateriaFullName(){
        return materiaFullName;
    }
    /**
     * 设置 材料全名
     * @param materiaFullName
     */
    public void setMateriaFullName(String materiaFullName){
        this.materiaFullName = materiaFullName;
    }
    /**
     * 获取 填单次数
     * @return Integer
     */
    public Integer getTotal(){
        return total;
    }
    /**
     * 设置 填单次数
     * @param total
     */
    public void setTotal(Integer total){
        this.total = total;
    }
    /**
     * 获取 排序
     * @return Integer
     */
    public Integer getSort(){
        return sort;
    }
    /**
     * 设置 排序
     * @param sort
     */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
     * 获取 样表名称
     * @return String
     */
    public String getSampleName(){
        return sampleName;
    }
    /**
     * 设置 样表名称
     * @param sampleName
     */
    public void setSampleName(String sampleName){
        this.sampleName = sampleName;
    }
    /**
     * 获取 样表地址
     * @return String
     */
    public String getSamplePath(){
        return samplePath;
    }
    /**
     * 设置 样表地址
     * @param samplePath
     */
    public void setSamplePath(String samplePath){
        this.samplePath = samplePath;
    }
    /**
     * 获取 样表预览地址
     * @return String
     */
    public String getPreViewPath(){
        return preViewPath;
    }
    /**
     * 设置 样表预览地址
     * @param preViewPath
     */
    public void setPreViewPath(String preViewPath){
        this.preViewPath = preViewPath;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PubdatumEntity) {
            PubdatumEntity tmp = (PubdatumEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",materiaFullName:").append(getMateriaFullName());
        sb.append(",total:").append(getTotal());
        sb.append(",sort:").append(getSort());
        sb.append(",sampleName:").append(getSampleName());
        sb.append(",samplePath:").append(getSamplePath());
        sb.append(",preViewPath:").append(getPreViewPath());
        return sb.toString();
    }

    public void initAttrValue(){

        this.matterId = null;

        this.deptId = null;

        this.deptCode = "";

        this.deptName = "";

        this.materialName = "";

        this.materiaFullName = "";

        this.total = null;

        this.sort = null;

        this.sampleName = "";

        this.samplePath = "";

        this.preViewPath = "";
    }
}